<template>
  <div>

    <div v-if="imageIsDefined">
      <img
        :src="project.data.image"
        alt="project image"
        class="image-properties"
      >
    </div>

    <div v-else>
      <img
        src="../assets/project-screenshot.png"
        alt="project image"
        class="image-properties image-opacity"
      >
    </div>

  </div>
</template>

<script>
export default {
  props: {
    project: {
      type: Object,
      required: true
    },
  },
  computed: {
    imageIsDefined () {
      return (
        this.project.data.image
        // Old projects without image used to contain the URL to a placeholder
        // image that we don't want to display.
        && !this.project.data.image.startsWith('https://picsum.photos')
      )
    }
  }
}
</script>

<style lang="postcss" scoped>
.image-properties {
  @apply mx-auto;
  @apply w-80 h-45;
  @apply object-contain;
}

.image-opacity {
  @apply opacity-50;
  @apply dark:opacity-80;
}
</style>